Remove a stray path_lookup from rr.
--- diff/drivers/md/dm-round-robin.c	2005-01-12 19:02:33.000000000 +0000
+++ source/drivers/md/dm-round-robin.c	2005-01-12 19:17:20.000000000 +0000
@@ -84,21 +84,13 @@
 static int rr_status(struct path_selector *ps, struct path *path,
 		     status_type_t type, char *result, unsigned int maxlen)
 {
-	struct selector *s = (struct selector *) ps->context;
-	struct path_info *pi;
+	struct path_info *pi = path->pscontext;
 	int sz = 0;
-	unsigned long flags;
 
 	switch(type) {
 	case STATUSTYPE_INFO:
 		break;
 	case STATUSTYPE_TABLE:
-		spin_lock_irqsave(&s->lock, flags);
-		pi = path_lookup(&s->valid_paths, path);
-		if (!pi)
-			pi = path_lookup(&s->invalid_paths, path);
-		spin_unlock_irqrestore(&s->lock, flags);
-
 		DMEMIT("%u ", pi->repeat_count);
 		break;
 	}
